Subject: Re: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled

From: Allen Li <[email-masked]>
Date: Wed, 23 Jun 2021 05:33:10 +0000

On Sat, Jun 19, 2021 at 12:21 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Allen Li <[email-masked]> writes:
>
> >  I'm not quite sure I fully understand the suggestion -- do you mean that
> >  `C-x SPC' should switch transient-mark-mode on if it isn't already?
> >  (And then switch it off again in `deactivate-mark-hook'?)
> >
> > Behavior-wise, it should work the same as `C-SPC C-SPC` when
> > transient-mark-mode is off,
> > (temporarily enable transient-mark-mode and active region).
> > I don't remember how that is implemented off the top of my head.
>
> We don't normally switch transient mark mode on (even temporarily)
> unless the user has requested so (with `C-SPC C-SPC', for instance).  So
> I still don't understand why this rectangle command should do so.
>
> `C-x SPC' seems to work fine both with transient mode on or off, as far
> as I can tell?
>

I suppose it does.  I guess I originally did not appreciate how one could
use rectangle-mark-mode
with a non-active region, but it seems to work as the me today expects, so
I'll close this bug.

>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>